<template>
	<div class="stats">
		<div class="main-block">
			<div class="fn_header">
				<h3>{{ $store.state.locale.statCallcenter }}</h3>
			</div>
			<div class="fn_content">
				<div class="row">
					<div class="col-lg-12">
						<div class="chart-block">
							<div class="chart-title mt--120">{{ $store.state.locale.callWait }}</div>
							<div class="chart">
								<div id="chart_request">
									<apexchart ref="membersSeries" type=radialBar height=350 :options="waitingOptions"
											   :series="waitingSeries"/>
								</div>
							</div>
						</div>
						<div class="table-block">
							<table class="table table-striped table-blue mt--150">
								<thead>
								<tr>
									<th class="w-50">{{ $store.state.locale.group }}</th>
									<th class="w-25">{{ $store.state.locale.waitTime }}</th>
								</tr>
								</thead>
								<tbody>
								<tr v-for="member in members">
									<td>
										{{member.name}}
									</td>
									<td>
										{{member.inStatusTime}}
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>
</template>
<script src="./index.js"></script>